visageSDK

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
VisageSDK::ScreenSpaceGazeRepository Class Reference

Data repository holding ScreenSpaceGazeData objects in offline screen space gaze tracking mode. More...

`#include <TrackerGazeCalibrator.h>`

## Public Member Functions
ScreenSpaceGazeData * | Get (int index)
| Returns ScreenSpaceGazeData object for the frame denoted by index.
int | GetCount ()
| Returns the number of ScreenSpaceGazeData objects in repository.
int | GetFirst ()
| Returns the frame index of the first element in the ScreenSpaceGazeRepository object.
int | GetLast ()
| Returns the frame index of the last element in the ScreenSpaceGazeRepository object.
void | Add (ScreenSpaceGazeData *data)
| Add ScreenSpaceGazeData object containing calibration data to repository. More...
void | Add (int index, float x, float y)
| Add calibration data consisting of frame index and point location to repository. More...

## Detailed Description

Data repository holding ScreenSpaceGazeData objects in offline screen space gaze tracking mode.

The repository is used provide ScreenSpaceGazeData objects holding calibration data for the tracked video sequence to the tracker, as well as to obtain the results. Each ScreenSpaceGazeData object stored in the repository holds the calibration data for a single frame. Starting calibration index should be equal or larger than 1.

Definition at line 239 of file TrackerGazeCalibrator.h.

## Member Function Documentation

void VisageSDK::ScreenSpaceGazeRepository::Add | ( | ScreenSpaceGazeData * | data | ) |

Add ScreenSpaceGazeData object containing calibration data to repository.

Parameters

  data | ScreenSpaceGazeData object containing calibration data

void VisageSDK::ScreenSpaceGazeRepository::Add | ( | int | index,
|  | float | x,
|  | float | y
| ) |  |

Add calibration data consisting of frame index and point location to repository.

Parameters

  index | frame index of calibration data.
  x | x coordinate of calibration point.
  y | y coordinate of calibration point.

The documentation for this class was generated from the following file:

- TrackerGazeCalibrator.h